> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Status

> Get campaign status and progress.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /campaigns/{campaign_id}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /campaigns/{campaign_id}:
    get:
      tags:
        - campaigns
      summary: Get Campaign Status
      description: Get campaign status and progress.
      operationId: get_campaign_status_campaigns__campaign_id__get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            title: Campaign Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CampaignStatus:
      properties:
        campaign_id:
          type: string
          title: Campaign Id
        status:
          type: string
          title: Status
        progress:
          type: number
          title: Progress
        calls_initiated:
          type: integer
          title: Calls Initiated
        calls_completed:
          type: integer
          title: Calls Completed
        calls_failed:
          type: integer
          title: Calls Failed
        calls_pending:
          type: integer
          title: Calls Pending
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
        estimated_completion:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimated Completion
        target_errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Target Errors
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - campaign_id
        - status
        - progress
        - calls_initiated
        - calls_completed
        - calls_failed
        - calls_pending
        - started_at
        - completed_at
        - estimated_completion
      title: CampaignStatus
      description: Campaign status response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````